## tantan 13

=== Makefile ===
CXXFLAGS = -O3
all:
	@cd src && ${MAKE} CXXFLAGS="${CXXFLAGS}"

prefix = /usr/local
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
install: all
	mkdir -p ${bindir}
	cp src/tantan ${bindir}

clean:
	@cd src && ${MAKE} clean

README.html: README.txt
	rst2html README.txt > README.html

log:
	hg log --style changelog > ChangeLog.txt

distdir = tantan-`hg id -n`
dist: README.html log
	@cd src && ${MAKE} version.hh
	rsync -rC --exclude tantan src test Makefile *.txt README.html ${distdir}
	zip -qrm ${distdir} ${distdir}

=== src/Makefile ===
CXXFLAGS = -O3 -Wall -W -Wcast-qual -Wswitch-enum -Wundef	\
-Wcast-align -Wold-style-cast
# -Wconversion

CFLAGS = -Wall

COBJ = CA_code/lambda_calculator.o

all: tantan

tantan: *.cc *.hh version.hh Makefile $(COBJ)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ *.cc $(COBJ)

$(COBJ): CA_code/*.c CA_code/*.h Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ CA_code/lambda_calculator.c

clean:
	rm -f tantan $(COBJ)

VERSION = \"`hg id -n`\"

version.hh: FORCE
	if test -e ../.hg; \
	then echo $(VERSION) | cmp -s $@ - || echo $(VERSION) > $@ ; \
	fi

FORCE:

=== debian/changelog ===
tantan (13-2) unstable; urgency=medium

  * Migrate package to Git
  * Fix buildflags and remove override
  * Use secure Vcs-Git 

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 15 Feb 2016 22:27:06 +0000

tantan (13-1) unstable; urgency=low

  * Initial release (Closes: #793907)
  * Add missing copyright holder in d/copyright
  * Fix machine readable license code

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 04 Aug 2015 23:24:50 +0000

=== debian/control ===
Source: tantan
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://www.cbrc.jp/tantan/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/tantan.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/tantan.git

Package: tantan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: low complexity and tandem repeat masker for biosequences
 tantan is a tool to mask simple regions (low complexity and short-period tandem
 repeats) in DNA, RNA, and protein sequences. The aim of tantan is to prevent
 false predictions when searching for homologous regions between two sequences.
 Simple repeats often align strongly to each other, causing false homology
 predictions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DESTDIR=$(CURDIR)/debian/tantan/usr
export DH_ALWAYS_EXCLUDE=.gitignore

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_install:
	make prefix=$(DESTDIR) install

## tantan 18

=== debian/changelog ===
tantan (18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 13:58:58 +0100

tantan (13-5) unstable; urgency=medium

  * Team upload.
  * Remove unneeded field Testsuite
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 19:03:23 +0200

tantan (13-4) unstable; urgency=medium

  * Use stable compilation order for reproducibility.
  * Add full hardening support.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 13 Mar 2016 00:04:54 +0000

tantan (13-3) unstable; urgency=medium

  * Bump Standards-Version.
  * Add autopkgtest.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 12 Mar 2016 08:47:30 +0000

=== debian/control ===
Source: tantan
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/tantan
Vcs-Git: https://salsa.debian.org/med-team/tantan.git
Homepage: http://www.cbrc.jp/tantan/

Package: tantan
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: low complexity and tandem repeat masker for biosequences
 tantan is a tool to mask simple regions (low complexity and short-period tandem
 repeats) in DNA, RNA, and protein sequences. The aim of tantan is to prevent
 false predictions when searching for homologous regions between two sequences.
 Simple repeats often align strongly to each other, causing false homology
 predictions.

## tantan 22

=== debian/changelog ===
tantan (22-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:17 +0100

tantan (22-1) unstable; urgency=medium

  * New upstream release.
  * Update my uploaders email address in d/control.
  * Use correct path for source lintian overrides.
  * Update lintian override tag to debian-watch-does-not-check-gpg-signature.
  * Fix whitespace in d/changelog.
  * Use secure Format URL in d/copyright.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 22 Dec 2018 20:38:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: tantan
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
+Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11~)

=== debian/watch ===
version=3
http://cbrc3.cbrc.jp/~martin/tantan/tantan-([0-9]*).zip

## tantan 23

=== src/Makefile ===
CXXFLAGS = -O3 -Wall -W -Wcast-qual -Wswitch-enum -Wundef	\
-Wcast-align -Wold-style-cast
# -Wconversion

all: tantan

tantan: *.cc *.hh version.hh Makefile
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ *.cc

clean:
	rm -f tantan

VERSION = \"`hg id -n`\"

version.hh: FORCE
	if test -e ../.hg; \
	then echo $(VERSION) | cmp -s $@ - || echo $(VERSION) > $@ ; \
	fi

FORCE:

=== debian/changelog ===
tantan (23-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.

 -- Steffen Moeller <moeller@debian.org>  Sat, 09 May 2020 16:22:36 +0200

tantan (22-2) unstable; urgency=medium

  * Add registry references (thanks Steffen Moeller).
  * Fix EDAM format (thanks Andreas Tille).
  * Use debhelper-compat 12.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 18 Apr 2020 12:16:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/tantan
 Vcs-Git: https://salsa.debian.org/med-team/tantan.git
-Homepage: http://www.cbrc.jp/tantan/
+Homepage: https://www.cbrc.jp/tantan/
+Rules-Requires-Root: no
 
 Package: tantan
 Architecture: any

=== debian/tests/control ===
Tests: test-example
Depends: @
Restrictions: allow-stderr

## tantan 26

=== Makefile ===
CXXFLAGS = -O3
all:
	@cd src && ${MAKE} CXXFLAGS="${CXXFLAGS}"

prefix = /usr/local
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
install: all
	mkdir -p ${bindir}
	cp src/tantan ${bindir}

clean:
	@cd src && ${MAKE} clean

tag:
	git tag -m "" `git rev-list HEAD^ | grep -c .`

=== src/Makefile ===
CXXFLAGS = -O3 -Wall

all: tantan

tantan: *.cc *.hh version.hh Makefile
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ *.cc

clean:
	rm -f tantan

VERSION1 = git describe --dirty
VERSION2 = echo ' (HEAD -> main, tag: 26) ' | sed -e 's/.*tag: *//' -e 's/[,) ].*//'

VERSION = \"`test -e ../.git && $(VERSION1) || $(VERSION2)`\"

version.hh: FORCE
	echo $(VERSION) | cmp -s $@ - || echo $(VERSION) > $@

FORCE:

=== debian/changelog ===
tantan (26-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 26
  * d/watch: Fix fetch URL - tantan has moved to gitlab
  * d/control:
             + Fix homepage
             + Bump debhelper-compat version to 13
             + Declare compliance with policy 4.5.1
  * d/copyright: Fix Source URL, migrate to https

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 22:45:46 +0530

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/tantan
 Vcs-Git: https://salsa.debian.org/med-team/tantan.git
-Homepage: https://www.cbrc.jp/tantan/
+Homepage: https://gitlab.com/mcfrith/tantan
 Rules-Requires-Root: no
 
 Package: tantan

=== debian/watch ===
version=4
 https://gitlab.com/mcfrith/tantan/-/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz

## tantan 31

=== src/Makefile ===
CXXFLAGS = -msse4 -O3 -Wall -g

all: ../bin/tantan

../bin/tantan: *.cc *.hh version.hh Makefile
	mkdir -p ../bin
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ *.cc

clean:
	rm -f ../bin/tantan

VERSION1 = git describe --dirty
VERSION2 = echo ' (HEAD -> main, tag: 31) ' | sed -e 's/.*tag: *//' -e 's/[,) ].*//'

VERSION = \"`test -e ../.git && $(VERSION1) || $(VERSION2)`\"

version.hh: FORCE
	echo $(VERSION) | cmp -s $@ - || echo $(VERSION) > $@

FORCE:

## tantan 39

=== src/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	rm -f ../bin/tantan
 
 VERSION1 = git describe --dirty
-VERSION2 = echo ' (HEAD -> main, tag: 31) ' | sed -e 's/.*tag: *//' -e 's/[,) ].*//'
+VERSION2 = echo ' (HEAD -> main, tag: 39) ' | sed -e 's/.*tag: *//' -e 's/[,) ].*//'
 
 VERSION = \"`test -e ../.git && $(VERSION1) || $(VERSION2)`\"

=== debian/changelog ===
tantan (39-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 39

 -- Nilesh Patra <nilesh@debian.org>  Sat, 30 Jul 2022 21:52:32 +0530

tantan (31-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 31
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 May 2022 12:53:07 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/tantan
 Vcs-Git: https://salsa.debian.org/med-team/tantan.git
 Homepage: https://gitlab.com/mcfrith/tantan

## tantan 40

=== src/Makefile ===
CXXFLAGS = -msse4 -O3 -Wall -g

all: ../bin/tantan

../bin/tantan: *.cc *.hh version.hh Makefile
	mkdir -p ../bin
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ *.cc -lz

clean:
	rm -f ../bin/tantan

VERSION1 = git describe --dirty
VERSION2 = echo ' (HEAD -> main, tag: 40) ' | sed -e 's/.*tag: *//' -e 's/[,) ].*//'

VERSION = \"`test -e ../.git && $(VERSION1) || $(VERSION2)`\"

version.hh: FORCE
	echo $(VERSION) | cmp -s $@ - || echo $(VERSION) > $@

FORCE:

=== debian/changelog ===
tantan (40-1) unstable; urgency=medium

  * New upstream version 40.
  * Add new dependency on zlib1g.
  * Update d/copyright email and date.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 24 Oct 2022 22:30:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13),
+               zlib1g-dev
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/tantan
 Vcs-Git: https://salsa.debian.org/med-team/tantan.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DESTDIR=$(CURDIR)/debian/tantan/usr
export DH_ALWAYS_EXCLUDE=.gitignore
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	make prefix=$(DESTDIR) install

## tantan 49

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CXXFLAGS = -O3
+CXXFLAGS = -msse4 -O3 -g
 all:
 	@cd src && ${MAKE} CXXFLAGS="${CXXFLAGS}"
 
@@ -7,7 +7,7 @@
 bindir = ${exec_prefix}/bin
 install: all
 	mkdir -p ${bindir}
-	cp src/tantan ${bindir}
+	cp bin/tantan ${bindir}
 
 clean:
 	@cd src && ${MAKE} clean

=== src/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	rm -f ../bin/tantan
 
 VERSION1 = git describe --dirty
-VERSION2 = echo ' (HEAD -> main, tag: 40) ' | sed -e 's/.*tag: *//' -e 's/[,) ].*//'
+VERSION2 = echo ' (HEAD -> main, tag: 49) ' | sed -e 's/.*tag: *//' -e 's/[,) ].*//'
 
 VERSION = \"`test -e ../.git && $(VERSION1) || $(VERSION2)`\"

=== debian/changelog ===
tantan (49-1) unstable; urgency=medium

  * New upstream version 49.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 23 Dec 2023 23:03:33 +0100

tantan (40-2) unstable; urgency=medium

  * Enable building twice in a row.
    Closes: #1045561
  * Bump Standards-Version.
  * Bump copyright date for debian directory.
  * Update renamed lintian override tag.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 23 Dec 2023 11:43:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/tantan
 Vcs-Git: https://salsa.debian.org/med-team/tantan.git
 Homepage: https://gitlab.com/mcfrith/tantan

## tantan 50

=== src/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	rm -f ../bin/tantan
 
 VERSION1 = git describe --dirty
-VERSION2 = echo ' (HEAD -> main, tag: 49) ' | sed -e 's/.*tag: *//' -e 's/[,) ].*//'
+VERSION2 = echo ' (HEAD -> main, tag: 50) ' | sed -e 's/.*tag: *//' -e 's/[,) ].*//'
 
 VERSION = \"`test -e ../.git && $(VERSION1) || $(VERSION2)`\"

=== debian/changelog ===
tantan (50-2) unstable; urgency=medium

  * Really bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 03 Aug 2024 23:58:14 +0200

tantan (50-1) unstable; urgency=medium

  * New upstream version 50.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 03 Aug 2024 23:54:13 +0200

tantan (49-2) unstable; urgency=medium

  * Change d/watch to use Git instead of tarballs.
  * Update d/copyright after reviewing source.
  * Bump copyright date for debian/ directory.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 01 Apr 2024 11:04:08 +0200

## tantan 51

=== src/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	rm -f ../bin/tantan
 
 VERSION1 = git describe --dirty
-VERSION2 = echo ' (HEAD -> main, tag: 50) ' | sed -e 's/.*tag: *//' -e 's/[,) ].*//'
+VERSION2 = echo ' (HEAD -> main, tag: 51) ' | sed -e 's/.*tag: *//' -e 's/[,) ].*//'
 
 VERSION = \"`test -e ../.git && $(VERSION1) || $(VERSION2)`\"

=== debian/changelog ===
tantan (51-1) unstable; urgency=medium

  * New upstream version 51.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 19 Oct 2024 11:20:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/tantan
 Vcs-Git: https://salsa.debian.org/med-team/tantan.git
 Homepage: https://gitlab.com/mcfrith/tantan

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 
 override_dh_auto_install:
 	make prefix=$(DESTDIR) install
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f src/version.hh

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://gitlab.com/mcfrith/tantan.git refs/tags/v?@ANY_VERSION@
